Bug 56175 - JJ: Parameterize columns of the job view
Summary: JJ: Parameterize columns of the job view
Status: RESOLVED FIXED
Alias: None
Product: print-manager
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: RedHat RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Daniel Nicoletti
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2003-03-20 11:21 UTC by mmorin
Modified: 2013-03-20 16:42 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mmorin 2003-03-20 11:21:18 UTC
Version:            (using KDE KDE 3.1.1)
Installed from:    RedHat RPMs
OS:          Linux

Should be great to add/remove columns in the kjobviewer from a list of possibles values.
If not, could you add job-originating-host-name and printer name in the list

TIA
Comment 1 Kurt Pfeifle 2007-01-11 04:46:35 UTC
changed to Junior Job
Comment 2 John Layt 2009-01-01 11:49:26 UTC
Reassigning to printer-applet.

KDEPrint in KDE3 is now unmaintained and no new features will be added.  KDE4
no longer uses KDEPrint, jobviewer has been replaced by printer-applet which
uses system-config-printer as a backend.

printer-applet does show Printer Name but not Originating Host.  Most users would not require originating host so having the ability to add required columns seems a sensible compromise.
Comment 3 Andrea Scarpino 2013-01-23 15:52:44 UTC
This is implemented in the new print-manager.
Comment 4 Andrea Scarpino 2013-01-23 16:02:02 UTC
Sorry, there's still no way to display the Originating Host in the print-manager
Comment 5 Daniel Nicoletti 2013-01-23 16:05:28 UTC
I'll try to fix this for 4.11 since this would bring a new string..
Comment 6 Daniel Nicoletti 2013-03-20 16:42:58 UTC
Git commit aa911d87223c7ee07dc8f158e9b6fe7383d88ac1 by Daniel Nicoletti.
Committed on 20/03/2013 at 17:41.
Pushed by dantti into branch 'master'.

Add a column to show the hostname which originated the print job

M  +1    -0    libkcups/KCupsConnection.h
M  +6    -1    libkcups/KCupsJob.cpp
M  +3    -2    libkcups/KCupsJob.h
M  +13   -2    libkcups/PrintQueueModel.cpp
M  +3    -1    libkcups/PrintQueueModel.h
M  +1    -0    printqueue/PrintQueueUi.cpp

http://commits.kde.org/print-manager/aa911d87223c7ee07dc8f158e9b6fe7383d88ac1